Uploaded image for project: 'Isis'
  1. Isis
  2. ISIS-1954

JUnit 5 support

    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Minor
    • Resolution: Resolved
    • Affects Version/s: None
    • Fix Version/s: 2.0.0-M1
    • Component/s: Isis Core
    • Labels:
      None

      Description

      Allow users to also write JUnit-5 Tests, while not breaking existing JUnit-4 infrastructure.

      We replace the JUnit-4 (4.12) dependencies with Jupiter (5.2.0) including vintage which provides backwards compatibility ...

      <!-- JUPITER -->
      <dependency>
      	<!-- JUnit API for writing tests and extensions -->
      	<groupId>org.junit.jupiter</groupId>
      	<artifactId>junit-jupiter-api</artifactId>
      </dependency>
      <dependency>
      	<!-- implementation of the JUnit Jupiter test engine -->
      	<groupId>org.junit.jupiter</groupId>
      	<artifactId>junit-jupiter-engine</artifactId>
      </dependency>
      <dependency>
      	<!-- support for unit tests that use JUnit 4 or JUnit 3 -->
      	<groupId>org.junit.vintage</groupId>
      	<artifactId>junit-vintage-engine</artifactId>
      </dependency>
      

       

        Attachments

          Activity

            People

            • Assignee:
              hobrom Andi Huber
              Reporter:
              hobrom Andi Huber
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: